petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmCollectViewCreate

Applies a collection method and gathers points in neighbour MPI-ranks into the DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmCollectViewCreate(DM dm)

Collective on dm

### Input parameter

dm -the DMSwarm

### Notes

Users should call DMSwarmCollectViewDestroy() after they have finished computations associated with the collected points Different collect methods are supported. See DMSwarmSetCollectType().

### See Also

DMSwarmCollectViewDestroy(), DMSwarmSetCollectType()

### Level

advanced

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages